summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author B. Watson2024-02-12 13:48:51 +0100
committer Willy Sudiarto Raharjo2024-02-12 14:42:21 +0100
commit3d396584cc2c829cd048a66ddefd4c82966635d7 (patch)
tree9485c14999d7c6f45f33f8c5de2eb56cfcec1b53 /games
parenta1ae7c11aab1ff8683dd7751fa4c985bfcb209f4 (diff)
downloadslackbuilds-3d396584cc2c829cd048a66ddefd4c82966635d7.tar.gz
games/chexquest: Added (FPS game).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/chexquest/README30
-rw-r--r--games/chexquest/chexquest.SlackBuild83
-rw-r--r--games/chexquest/chexquest.desktop7
-rw-r--r--games/chexquest/chexquest.info12
-rw-r--r--games/chexquest/chexquest.pngbin0 -> 1150 bytes
-rw-r--r--games/chexquest/chexquest.sh44
-rw-r--r--games/chexquest/chexquest2.desktop7
-rw-r--r--games/chexquest/chexquest2.pngbin0 -> 1179 bytes
-rw-r--r--games/chexquest/doinst.sh9
-rw-r--r--games/chexquest/slack-desc19
10 files changed, 211 insertions, 0 deletions
diff --git a/games/chexquest/README b/games/chexquest/README
new file mode 100644
index 0000000000..86bc135f52
--- /dev/null
+++ b/games/chexquest/README
@@ -0,0 +1,30 @@
+chexquest (Chex Quest 1 and 2, first-person shooter games)
+
+Chex Quest is an award-winning promotional game created by Digital
+Cafe and released in 1996, utilizing the Doom engine. The player is
+embodied as Chex Warrior, a hero attempting to rescue captured Chex
+people from evil slime creatures known as Flemoids who have invaded
+the Intergalactic Federation of Cereals' mining outpost on the planet
+Bazoik.
+
+The game was made available inside boxes of Chex cereal. It
+featured five levels. Because the market for the cereal consisted
+largely of children, the game was made to be deliberately non-violent:
+for example, the enemies in the game are not killed, but are instead
+transported back to their home dimension.
+
+Chex Quest 2: Flemoids Take Chextropolis is the second installment
+in the Chex Quest series, released in 1997. It is an add-on to the
+original, as the first Chex Quest is required to play it.
+
+To play the games, you will need a compatible Doom engine installed.
+The recommended engines are gzdoom, zdoom, and crispy-doom. You can
+also try odamex, prboom-plus, doomretro, or skulltag, but they're not
+100% compatible. You won't need any .wad files from any of the Doom
+games, since Chex Quest is a total conversion.
+
+The package includes both games, wrapper scripts to launch them from
+the command line, and desktop entries to launch them from the KDE or
+XFCE menu.
+
+See also: games/chexquest3, for the last game in the series.
diff --git a/games/chexquest/chexquest.SlackBuild b/games/chexquest/chexquest.SlackBuild
new file mode 100644
index 0000000000..2f58350695
--- /dev/null
+++ b/games/chexquest/chexquest.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/bash
+
+# Slackware build script for chexquest
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# VERSION is taken from the timestamp of chex.wad in cqdos.zip. There
+# will never be a new version of this...
+
+# The download site http://www.doomlegends.com/chexquest/tucq.html is
+# actually the homepage of a modified/combined version of Chex Quest 1 and 2,
+# called "The Ultimate Chex Quest", but it also hosts the original
+# games for download. I chose to package the originals, since the
+# 'Ultimate' version isn't complete (missing at least one level).
+
+# Icons came from: https://archive.org/details/chex_icon
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=chexquest
+VERSION=${VERSION:-19960331}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+# only unzip the .wad files, we don't need the rest.
+unzip $CWD/cqdos.zip chex.wad
+unzip -j -LL $CWD/cq2dos.zip '*/chex2.wad'
+chown -R root:root .
+chmod 644 *
+
+DOOMDIR=$PKG/usr/share/games/doom
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+PKGBIN=$PKG/usr/games
+DESKDIR=$PKG/usr/share/applications
+OLDICON=$PKG/usr/share/pixmaps
+mkdir -p $DOOMDIR $PKGDOC $PKGBIN $DESKDIR $OLDICON
+
+cp -a chex.wad chex2.wad $DOOMDIR
+
+install -m0755 -oroot -groot $CWD/chexquest.sh $PKGBIN/chexquest
+ln -s chexquest $PKGBIN/chexquest2
+
+for i in chexquest chexquest2; do
+ cat $CWD/$i.desktop > $DESKDIR/$i.desktop
+ for size in 16x16 22x22 32x32 48x48 64x64 128x128 256x256; do
+ dir=$PKG/usr/share/icons/hicolor/$size/apps
+ mkdir -p $dir
+ convert -resize $size $CWD/$i.png $dir/$i.png
+ done
+ ln -s ../icons/hicolor/48x48/apps/$i.png $OLDICON/$i.png
+done
+
+# No docs in either zip file; include our own.
+cat $CWD/README > $PKGDOC/README
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/chexquest/chexquest.desktop b/games/chexquest/chexquest.desktop
new file mode 100644
index 0000000000..19271acac5
--- /dev/null
+++ b/games/chexquest/chexquest.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Type=Application
+Name=Chex Quest
+Icon=chexquest
+Exec=/usr/games/chexquest
+Terminal=false
+Categories=Game;ActionGame;
diff --git a/games/chexquest/chexquest.info b/games/chexquest/chexquest.info
new file mode 100644
index 0000000000..4060ab495c
--- /dev/null
+++ b/games/chexquest/chexquest.info
@@ -0,0 +1,12 @@
+PRGNAM="chexquest"
+VERSION="19960331"
+HOMEPAGE="https://doomwiki.org/wiki/Chex_Quest"
+DOWNLOAD="http://www.doomlegends.com/chexquest/cqdos.zip \
+ http://www.doomlegends.com/chexquest/cq2dos.zip"
+MD5SUM="18a747fbdd264c50ae5fdecde2f365f2 \
+ fb91522287fe7183b53c9578fedf36b9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"
diff --git a/games/chexquest/chexquest.png b/games/chexquest/chexquest.png
new file mode 100644
index 0000000000..2f2b52000c
--- /dev/null
+++ b/games/chexquest/chexquest.png
Binary files differ
diff --git a/games/chexquest/chexquest.sh b/games/chexquest/chexquest.sh
new file mode 100644
index 0000000000..83ff031697
--- /dev/null
+++ b/games/chexquest/chexquest.sh
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+# Wrapper script for chexquest, part of the SlackBuilds.org project.
+# Decides which game to run, finds a usable Doom engine, and uses it
+# to run the game.
+
+# Author: B. Watson (urchlay@slackware.uk). License: WTFPL.
+
+# The IWAD for Chex Quest 1... its header calls it a PWAD but it's
+# really an IWAD. *shrug*
+IWAD=/usr/share/games/doom/chex.wad
+
+# The PWAD for Chex Quest 2 (which requires chex.wad):
+PWAD=/usr/share/games/doom/chex2.wad
+
+# If we're called as chexquest2, add the PWAD.
+case "$0" in
+ *2) PWADARG="-file $PWAD" ;;
+esac
+
+# The list is restricted to engines that (a) are on SBo, and (b) can
+# actually play Chex Quest 1 and 2.
+
+# These were tested, and don't work: chocolate-doom doomsday prboom
+
+# Chocolate Doom supposedly supports it, if the Dehacked patch is
+# present, but it segfaults when I try to start the game. If you
+# want to play with this, the dehacked patch lives here:
+# http://mirrors.syringanetworks.net/idgames/themes/chex/chexdeh.zip
+
+# These were tested, and do work... though skulltag has issues, and
+# only gzdoom, zdoom, and crispy-doom show the correct "are you sure
+# you want to quit?" messages.
+ENGINES="gzdoom zdoom crispy-doom odamex prboom-plus doomretro skulltag"
+
+# And we're off to the races...
+for eng in $ENGINES; do
+ if /bin/which $eng &>/dev/null; then
+ exec $eng -iwad $IWAD $PWADARG "$@"
+ fi
+done
+
+echo "Can't find any of $ENGINES, can't run game." 1>&2
+exit 1
diff --git a/games/chexquest/chexquest2.desktop b/games/chexquest/chexquest2.desktop
new file mode 100644
index 0000000000..db6a2fc571
--- /dev/null
+++ b/games/chexquest/chexquest2.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Type=Application
+Name=Chex Quest 2
+Icon=chexquest
+Exec=/usr/games/chexquest2
+Terminal=false
+Categories=Game;ActionGame;
diff --git a/games/chexquest/chexquest2.png b/games/chexquest/chexquest2.png
new file mode 100644
index 0000000000..fe61c7b16a
--- /dev/null
+++ b/games/chexquest/chexquest2.png
Binary files differ
diff --git a/games/chexquest/doinst.sh b/games/chexquest/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/games/chexquest/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/games/chexquest/slack-desc b/games/chexquest/slack-desc
new file mode 100644
index 0000000000..184a126fe7
--- /dev/null
+++ b/games/chexquest/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+chexquest: chexquest (Chex Quest 1 and 2, first-person shooter games)
+chexquest:
+chexquest: Chex Quest is an award-winning promotional game created by Digital
+chexquest: Cafe and released in 1996, utilizing the Doom engine. The player
+chexquest: is embodied as Chex Warrior, a hero attempting to rescue captured
+chexquest: Chex people from evil slime creatures known as Flemoids who have
+chexquest: invaded the Intergalactic Federation of Cereals' mining outpost on
+chexquest: the planet Bazoik. Chex Quest 2: Flemoids Take Chextropolis is the
+chexquest: second installment in the Chex Quest series. This package includes
+chexquest: both games.
+chexquest: